<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{ 'eim.profile.change_password.change_password' | translate }}</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="changepasswordform" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-lg-4 col-xl-4 form-group">
                    <label class="col-form-label">{{ 'eim.profile.change_password.current_password' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1">
                            <i class="icofont icofont-ui-password"></i>
                        </span>
                        <input type="password" class="form-control" id="currentpassword" placeholder="{{ 'eim.profile.change_password.current_password' | translate }}"
                            formControlName="currentpassword">
                    </div>
                    <span class="messages text-danger" *ngIf="!changepasswordform.get('currentpassword').valid && changepasswordform.get('currentpassword').touched">* Please Enter Current Password</span>
                </div>
                <div class="col-lg-4 col-xl-4 form-group">
                    <label class="col-form-label">{{ 'eim.profile.change_password.new_password' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1">
                            <i class="icofont icofont-ui-password"></i>
                        </span>
                        <input type="password" class="form-control" id="password" placeholder="{{ 'eim.profile.change_password.new_password' | translate }}"
                            formControlName="password">
                    </div>
                    <span class="messages text-danger" *ngIf="!changepasswordform.get('password').valid && changepasswordform.get('password').touched">* Password min length 6 and must be use at least 1 number and 1 special character</span>
                </div>
                <div class="col-lg-4 col-xl-4 form-group">
                    <label class="col-form-label">{{ 'eim.profile.change_password.repeat_password' | translate }}</label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1">
                            <i class="icofont icofont-ui-password"></i>
                        </span>
                        <input type="password" class="form-control" id="rpassword" placeholder="{{ 'eim.profile.change_password.repeat_password' | translate }}"
                            formControlName="rpassword">
                    </div>
                    <span class="messages text-danger" *ngIf="!changepasswordform.get('rpassword').valid && changepasswordform.get('rpassword').touched">* Repeat Password Wrong</span>
                </div>
                <div class="col-lg-12 col-xl-12">&nbsp;</div>
                <div class="col-lg-8 col-xl-8 form-group"></div>
                <div class="col-lg-2 col-xl-2 form-group">
                    <button type="submit" class="btn btn-success btn-md btn-block text-center ">
                        <i class="icofont icofont-save"></i> {{ 'general.btn_save' | translate }}</button>
                </div>
                <div class="col-lg-2 col-xl-2 form-group">
                    <button type="button" class="btn btn-danger btn-md btn-block text-center" [routerLink]="['/profile']">
                        <i class="icofont icofont-ui-close"></i> {{ 'general.btn_cancel' | translate }}</button>
                </div>
            </div>
        </form>
    </div>
</div>